<html>
<head>
<link rel="STYLESHEET" type="text/css" href="style.css">
<title>Morphosyntactic Annotation Framework</title>
</head>
<body>
<h1>Morphosyntactic Annotation Framework (MAF)</h1>

<h2>What is MAF</h2>

<p>
MAF is an international initiative to propose a standardized model for
the morphosyntactic annotations. This initiative takes place in the
context of ISO subcommittee <a href="http://www.tc37sc4.org"> TC37 SC4
on "Language Resources Management" </a> with <a
href="mailto:Eric.De_La_Clergerie@inria.fr">Eric de la Clergerie</a>
as project leader.

<p>
The current ISO status for MAF is <b>Working Draft (WD)</b>

<h2>What does MAF propose</h2>

<center>
<IMG SRC="MASF2.png" align="center" with="250"/><br/>
<b> MAF meta model </b>
</center>

<p>
MAF proposes:
<ul>

<li> Two levels of structuring, the first one capturing segmentation
with <b class="elt">tokens</b> used to anchor linguistic units called
<b class="elt">word forms</b> on the second level;


<p><li> A token refers a segment of the annotated documents, either by
embedding contents or, in standoff notation, by using a pair of
<b>document positions</b> from and to.

<p> A word form may cover several tokens and, conversely, a token may
be covered by several word forms.

<p><li> a word form may refer a lexical entry but is mostly characterized
by a morpho-syntactic content, expressed by a <b>Feature
Structure</b>;

<p> Standardized representation of feature structures is provided by
the joint <a href="http://www.tei-c.org">TEI</a> / ISO initiative on
"Feature Structure Representation" (<i class="proposal"/>FSR</i>),
essentially relying on <b class="elt">fs</b> and <b class="elt">f</b>.

<br> FSR provides compact notations based on libraries <b
class="elt">vLib</b> of FS values and libraries <b
class="elt">fvLib</b> of feature-value pairs that may be used to get
notations similar to those provided by tagsets.

<p><li> The validity and meaning of morpho-syntactic content may be
provided by associating types, features and values to <b>Data
Categories</b> from a centralized <b>Data Category Registry</b>
(another ISO TC37 SC4 initiative called <i class="proposal">DCR</i>).

<p> Such a registry may be tried <a
href="http://syntax.inist.fr">here</a> (after April 6th).

<p><li> A <b class="elt">tagset</b> may be built by 
<ul>

  <li> assigning data categories with <b class="elt">dcs</b> to types,
  features and values

  <li> listing the most common constructions in FS libraries for
  compact notations, using <b class="elt">vLib</b> and <b
  class="elt">fvLib</b>

  <li> declaring valid Feature Structures (which features allowed for
  a given type, which values allowed for a given feature). Such
  declarations should rely on <i class="proposal">FSD</i> (<i>Feature
  System Declaration</i>), a future companion proposal to FSR.

</ul>

<p><li> Ambiguities naturally arises for automatically produced
annotations and may be represented <ul>

<li> using alternations <b class="elt">vAlt</b> between feature structure values,
for instance to express uncertainty on the mode of a verb

<li> using alternations <b class="elt">wfAlt</b> on word forms, for instance to
express lexical ambiguities between lexicon entries

<li> using lattices on word forms using <b class="elt">fsm</b> and
<b class="elt">transition</b>. 

<p> <b> Note 1: </b> MAF should be extended to also handle lattice over
tokens, which raise the need of two flavors of fsm and transitions.

</ul>

</ul>

<p>
Several variants of representations are possible:
<ul>
 <li> standoff notation or embedded content for tokens
 <li> tokens embedded in word forms or not
 <li> expanded or compact notations for feature structures
 <li> articulation between tokens and word forms provided by:
 <ul>

    <li> a simple linear ordering between tokens and word forms, with
    no transitions, for simple cases without ambiguities.

    <li> a canonical notation with a global lattice and all word forms
 embedded in transitions.

    <li> a reduced intermediary notation where local lattices are
    introduced when needed in a linear flow of tokens and word forms.
    This reduced notation is equivalent to the linear one when no
    ambiguities are present.

    </ul> 

     <p> The reduced and linear notations can always be renormalized
 into the canonical representation.

 </ul>


<h2> Demonstrator </h2>

<p>
A small MAF demonstrator for French may be tried <a href="mafdemo.pl">here</a>.

<p>
It covers most of the functionalities of MAF, with several options
corresponding to various levels of representations. Lattices over
tokens are not provided. Tagsets may be dynamically built based on the
morpho-syntactic contents for the input sentence, but the libraries
are not yet complete, the FSD part is still missing, and the selection
of data categories is only illustrative.

<p> The morpho-syntactic processor <b>sxpipe</b> providing data to the
demonstrator has been developed by <a
href="http://atoll.inria.fr">ATOLL group</a> and is still a prototype.
There is no real reduction of ambiguities (no tagging). Do not expect
this demonstrator to always provide accurate morpho-syntactic
information. Its primarily objective is to illustrate MAF.

<p> Anyway, for those interested, <a
href="http://atoll.inria.fr/packages/packages.html#sxpipe"><b>sxpipe</b></a>
use a coarse-grained segmentation (essentially based on spaces),
detect some named entities and relies on <a
href="http://www.lefff.net">Lefff</a>, a lexicon developed by ATOLL.
The processor tries to correct some spelling errors (and get it wrong
sometimes !).

<p> <b> Note: </b> Often, the graph view of the lattice does not
appear because of a synchronization problem between the creation of
the page and the creation of the image. In that case, please resubmit
the query and the image should then appear.

<h2> Documents </h2>

<ul>

<li> the current version of <a
href="http://atoll.inria.fr/biblio?key=MAF">MAF Draft</a>

<li> a <a
href="http://atoll.inria.fr/biblio?key=clement05:LT">paper</a>
accepted at the <a href="http://www.ltc.amu.edu.pl">2nd Language and
Technology Conference</a>

<li> some <a
href="ftp://ftp.inria.fr/INRIA/Projects/Atoll/Eric.Clergerie/MAF-slides-PISA04.pdf">slides
for MAF</a> presented at the last TC37SC4 Meeting (Pisa, December
2004).

 </ul>

 <h2> Contributions  and Events</h2>

<p>
Comments and contributions are more than welcome in order to reach a
consensus on MAF.

<p>
The next ISO TC37SC4 meeting with sessions on MAF will be held Mid
April in Berlin.

<p>
There is a <a href="https://sympa-rocq.inria.fr/wws/info/maf">mailing
list for discussing MAF</a>.

<hr/>

<address>
<a href="mailto:Eric.De_La_Clergerie@inria.fr">De la Clergerie Eric</a>
</address>
</body>
</html>
